"""List of common English compound words to equivelant phrases."""
# From https://docs.google.com/spreadsheets/d/1QU12DXbj92QLPHKAzM9-qk4ojdfstc12wgkkqww_kdI/edit?gid=0#gid=0

compounds = """ablebodied	able bodied
aftereffect	after effect
afternoon	after noon
afterthought	after thought
airbag	air bag
aircraft	air craft
airline	air line
airplane	air plane
airport	air port
airtight	air tight
angelfish	angel fish
another	an other
anybody	any body
anyhow	any how
anymore	any more
anyone	any one
anyplace	any place
anything	any thing
anytime	any time
anyway	any way
anywhere	any where
applesauce	apple sauce
armchair	arm chair
armhole	arm hole
armpit	arm pit
arrowhead	arrow head
artwork	art work
awestruck	awe struck
backache	back ache
backbone	back bone
backdrop	back drop
background	back ground
backhand	back hand
backhoe	back hoe
backlog	back log
backpack	back pack
backspace	back space
backstab	back stab
backstabbing	back stabbing
backstroke	back stroke
backwater	back water
backwoods	back woods
backyard	back yard
badlands	bad lands
bagpipe	bag pipe
ballplayer	ball player
bantamweight	bantam weight
barcode	bar code
barefoot	bare foot
barnstorm	barn storm
barnyard	barn yard
baseball	base ball
basketball	basket ball
bathmat	bath mat
bathrobe	bath robe
bathroom	bath room
bathtub	bath tub
bathwater	bath water
battlecry	battle cry
battleax	battle ax
battleaxe	battle axe
battlecruiser	battle cruiser
battlefield	battle field
battleship	battle ship
beachcomb	beach comb
beachcomber	beach comber
beancurd	bean curd
become	be come
bedrock	bed rock
bedroom	bed room
bedspread	bed spread
bedspring	bed spring
bedtime	bed time
beehive	bee hive
beekeeper	bee keeper
beekeeping	bee keeping
beeswax	bees wax
beforehand	before hand
bellflower	bell flower
bellhop	bell hop
bellyache	belly ache
benchmark	bench mark
billboard	bill board
birthday	birth day
birthplace	birth place
birthrate	birth rate
birthright	birth right
bitterroot	bitter root
bittersweet	bitter sweet
blackberry	black berry
blackbird	black bird
blackboard	black board
blacklist	black list
blackout	black out
blacksmith	black smith
blockbuster	block buster
blowout	blow out
blowup	blow up
bluebell	blue bell
blueberry	blue berry
bluebird	blue bird
bluebonnet	blue bonnet
bobcat	bob cat
bobtail	bob tail
bodyguard	body guard
bookbinder	book binder
bookbinding	book binding
bookcase	book case
bookkeeper	book keeper
bookmark	book mark
bookmobile	book mobile
bookshelf	book shelf
bookstore	book store
bookworm	book worm
bowleg	bow leg
boxcutter	box cutter
boxspring	box spring
boxcar	box car
brainstorm	brain storm
brainwash	brain wash
breadbasket	bread basket
breadbox	bread box
breadcrumb	bread crumb
breadfruit	bread fruit
breadknife	bread knife
breadstick	bread stick
breakdancing	break dancing
breakdown	break down
breakfast	break fast
breakfront	break front
breakneck	break neck
breakout	break out
breakthrough	break through
breakup	break up
breakwater	break water
breastbone	breast bone
breaststroke	breast stroke
bridegroom	bride groom
briefcase	brief case
bringdown	bring down
browbeat	brow beat
browneyed	brown eyed
bucktoothed	buck toothed
bulkhead	bulk head
bulldog	bull dog
bulldozer	bull dozer
bullfrog	bull frog
businessman	business man
businesswoman	business woman
buttercup	butter cup
butterfingers	butter fingers
butterfly	butter fly
buttermilk	butter milk
buttonhole	button hole
bygone	by gone
bypass	by pass
calloff	call off
callback	call back
campfire	camp fire
candlestick	candle stick
candytuft	candy tuft
cannot	can not
cardboard	card board
carefree	care free
careless	care less
caretaker	care taker
carpool	car pool
carport	car port
cartwheel	cart wheel
catchup	catch up
catfish	cat fish
catnap	cat nap
catnip	cat nip
cellphone	cell phone
chairman	chair man
chairperson	chair person
chairwoman	chair woman
cheapskate	cheap skate
checkin	check in
checkerboard	checker board
checkmate	check mate
checkroom	check room
checkup	check up
cheerup	cheer up
chestnut	chest nut
chickpea	chick pea
childbearing	child bearing
childbirth	child birth
childcare	child care
childfree	child free
childless	child less
childlike	child like
childproof	child proof
chopstick	chop stick
classmate	class mate
classroom	class room
classwork	class work
cleancut	clean cut
clockwise	clock wise
clockwork	clock work
closeup	close up
closedminded	closed minded
clotheshorse	clothes horse
clothesline	clothes line
clothespin	clothes pin
coastline	coast line
cobweb	cob web
coldsore	cold sore
coldhearted	cold hearted
comeabout	come about
comeapart	come apart
comearound	come around
comedownwith	come down with
commonsense	common sense
cookbook	cook book
cookout	cook out
cooktop	cook top
cookware	cook ware
copycat	copy cat
copyright	copy right
copywriter	copy writer
corkscrew	cork screw
corndog	corn dog
cornbread	corn bread
corncob	corn cob
cornfield	corn field
cornflower	corn flower
cornmeal	corn meal
cornstalk	corn stalk
cottonmouth	cotton mouth
counton	count on
countdown	count down
counterattack	counter attack
counterbalance	counter balance
counterclockwise	counter clockwise
counterweight	counter weight
countryside	country side
coursework	course work
courthouse	court house
courtyard	court yard
cowbell	cow bell
cowboy	cow boy
cowgirl	cow girl
cowslip	cow slip
crabgrass	crab grass
craftsman	crafts man
craftswoman	crafts woman
crawfish	craw fish
crayfish	cray fish
crossout	cross out
crossbow	cross bow
crossroad	cross road
crossroads	cross roads
crosswalk	cross walk
crossword	cross word
crowbar	crow bar
cubbyhole	cubby hole
cupboard	cup board
cupcake	cup cake
cutaway	cut away
cutback	cut back
cutoff	cut off
cutthroat	cut throat
cutup	cut up
dancehall	dance hall
daredevil	dare devil
darkroom	dark room
dashboard	dash board
database	data base
daybreak	day break
daydream	day dream
daylight	day light
daytime	day time
deadline	dead line
deckchair	deck chair
desktop	desk top
dimwit	dim wit
diningroom	dining room
dinnerplate	dinner plate
dirtbike	dirt bike
dishcloth	dish cloth
dishwasher	dish washer
dishwater	dish water
diskdrive	disk drive
doover	do over
dogcatcher	dog catcher
dogfish	dog fish
doghouse	dog house
dogwood	dog wood
doorbell	door bell
doorknob	door knob
doorman	door man
doormat	door mat
doorstep	door step
doorstop	door stop
doorway	door way
downpayment	down payment
downhome	down home
downburst	down burst
downcast	down cast
downdraft	down draft
downfall	down fall
downhill	down hill
downlink	down link
download	down load
downplay	down play
downpour	down pour
downrate	down rate
downright	down right
downscale	down scale
downshift	down shift
downsize	down size
downstairs	down stairs
downstream	down stream
downstroke	down stroke
downthrow	down throw
downtown	down town
downtrodden	down trodden
downturn	down turn
downward	down ward
downwind	down wind
dragonfly	dragon fly
drainpipe	drain pipe
dreadlock	dread lock
dreadnought	dread nought
dressmaker	dress maker
dressmaking	dress making
driftwood	drift wood
driveway	drive way
dropback	drop back
dropin	drop in
dropdown	drop down
dropout	drop out
drugstore	drug store
drumbeat	drum beat
drumfire	drum fire
drumroll	drum roll
drumstick	drum stick
duckbill	duck bill
dugout	dug out
dumbbell	dumb bell
dustpan	dust pan
duststorm	dust storm
earache	ear ache
eardrum	ear drum
earlobe	ear lobe
earmark	ear mark
earmuff	ear muff
earphone	ear phone
earring	ear ring
earshot	ear shot
earthbound	earth bound
earthquake	earth quake
earthward	earth ward
earthworm	earth worm
earwig	ear wig
eatout	eat out
eavesdrop	eaves drop
eggbeater	egg beater
eggcup	egg cup
egghead	egg head
eggnog	egg nog
eggplant	egg plant
eggshell	egg shell
elsewhere	else where
endup	end up
evergreen	ever green
everlasting	ever lasting
everybody	every body
everyday	every day
everyone	every one
everything	every thing
everywhere	every where
eyeball	eye ball
eyebrow	eye brow
eyeglass	eye glass
eyelash	eye lash
eyelid	eye lid
eyepiece	eye piece
eyesight	eye sight
eyewitness	eye witness
fallapart	fall apart
fallback	fall back
falldown	fall down
fallover	fall over
fallout	fall out
fanfare	fan fare
farewell	fare well
farmhouse	farm house
farmyard	farm yard
farsighted	far sighted
fastmoving	fast moving
fatfree	fat free
fatherinlaw	father inlaw
fatherland	father land
feedback	feed back
fiddlesticks	fiddle sticks
fillout	fill out
fillup	fill up
findout	find out
fingernail	finger nail
fingerprint	finger print
fingertip	finger tip
firearm	fire arm
fireboat	fire boat
firebug	fire bug
firefighter	fire fighter
firefly	fire fly
fireman	fire man
fireplace	fire place
fireproof	fire proof
firewood	fire wood
firework	fire work
firsthand	first hand
fishbowl	fish bowl
fishcake	fish cake
fisherman	fisher man
fisherwoman	fisher woman
fisheye	fish eye
fishhook	fish hook
fishnet	fish net
flagpole	flag pole
flapjack	flap jack
flashlight	flash light
flatfish	flat fish
floodlight	flood light
floorboard	floor board
flowerbed	flower bed
flowerpot	flower pot
flyby	fly by
flyweight	fly weight
flywheel	fly wheel
foghorn	fog horn
folklore	folk lore
followup	follow up
foolproof	fool proof
football	foot ball
foothill	foot hill
footlight	foot light
footman	foot man
footnote	foot note
footprint	foot print
footrest	foot rest
footstep	foot step
footstool	foot stool
footwear	foot wear
forecast	fore cast
foreclose	fore close
foreman	fore man
foremost	fore most
foreshadow	fore shadow
foresight	fore sight
forthwith	forth with
foursquare	four square
foxglove	fox glove
foxhole	fox hole
framework	frame work
freelance	free lance
freeway	free way
freshman	fresh man
freshwater	fresh water
friendship	friend ship
frogman	frog man
frostbite	frost bite
frostbitten	frost bitten
fruitcake	fruit cake
fullmoon	full moon
fulllength	full length
furthermore	further more
gallbladder	gall bladder
gallstone	gall stone
gearshift	gear shift
gemstone	gem stone
gentleman	gentle man
getacross	get across
getalong	get along
getawaywith	get awaywith
getback	get back
getover	get over
ghostwriter	ghost writer
gingerbread	ginger bread
giveaway	give away
givein	give in
giveup	give up
globetrotter	globe trotter
glowworm	glow worm
goafter	go after
goahead	go ahead
goaround	go around
goback	go back
goalkeeper	goal keeper
goalpost	goal post
goldenrod	golden rod
goldfinch	gold finch
goldfish	gold fish
goldmine	gold mine
goldsmith	gold smith
goodlooking	good looking
goodnight	good night
grammarschool	grammar school
grandchild	grand child
granddaughter	grand daughter
grandfather	grand father
grandma	grand ma
grandmother	grand mother
grandpa	grand pa
grandparent	grand parent
grandson	grand son
grandstand	grand stand
grapefruit	grape fruit
grapevine	grape vine
grasshopper	grass hopper
grassland	grass land
gravestone	grave stone
graveyard	grave yard
greenback	green back
greengrocer	green grocer
greenhorn	green horn
greenhouse	green house
greyhound	grey hound
gridlock	grid lock
grindstone	grind stone
groundbreaking	ground breaking
groundcover	ground cover
groundhog	ground hog
groundskeeper	ground skeeper
groundspeed	ground speed
groundwork	ground work
growapart	grow apart
growup	grow up
grownup	grown up
guidebook	guide book
guideline	guide line
guidepost	guide post
gumdrop	gum drop
gunfire	gun fire
gunmetal	gun metal
gunpowder	gun powder
hacksaw	hack saw
hailstone	hail stone
hailstorm	hail storm
hairbrush	hair brush
haircut	hair cut
hairdo	hair do
hairdresser	hair dresser
hairline	hair line
halfback	half back
halfhearted	half hearted
halfway	half way
halfwit	half wit
hallway	hall way
hamburger	ham burger
handtowel	hand towel
handbag	hand bag
handball	hand ball
handbook	hand book
handcuff	hand cuff
handgun	hand gun
handheld	hand held
handhold	hand hold
handkerchief	hand kerchief
handlebar	handle bar
handmade	hand made
handover	hand over
handprint	hand print
handrail	hand rail
handset	hand set
handshake	hand shake
handspring	hand spring
handstand	hand stand
handwork	hand work
handwriting	hand writing
handyman	handy man
hangman	hang man
hangnail	hang nail
hangout	hang out
hardheaded	hard headed
hardhearted	hard hearted
hardtop	hard top
hardware	hard ware
hardwire	hard wire
hardworking	hard working
hayfield	hay field
hayfork	hay fork
hayloft	hay loft
hayride	hay ride
haystack	hay stack
haywire	hay wire
hazelnut	hazel nut
headache	head ache
headboard	head board
headdress	head dress
headfirst	head first
headhunter	head hunter
headland	head land
headlight	head light
headline	head line
headphone	head phone
headquarters	head quarters
headrest	head rest
headset	head set
headstand	head stand
headstone	head stone
headwaters	head waters
headway	head way
heartbeat	heart beat
heartburn	heart burn
heartsick	heart sick
heavyweight	heavy weight
hedgehog	hedge hog
helpdesk	help desk
hereafter	here after
heretofore	here to fore
herringbone	herring bone
herself	her self
hideaway	hide away
highschool	high school
highrise	high rise
hightech	high tech
highwater	high water
highwire	high wire
highbrow	high brow
highchair	high chair
highflier	high flier
highhanded	high handed
highjack	high jack
highland	high land
highlander	high lander
highlight	high light
highroad	high road
hightail	high tail
highway	high way
highwayman	highway man
hijack	hi jack
hillside	hill side
hilltop	hill top
himself	him self
hindsight	hind sight
hogtie	hog tie
hogwash	hog wash
hollyhock	holly hock
homecoming	home coming
homeland	home land
homemade	home made
homeowner	home owner
homesick	home sick
homeward	home ward
homework	home work
honeybee	honey bee
honeycomb	honey comb
honeydew	honey dew
honeymoon	honey moon
hookworm	hook worm
hopscotch	hop scotch
horseback	horse back
horsefly	horse fly
horselaugh	horse laugh
horseman	horse man
horseplay	horse play
horsepower	horse power
horseradish	horse radish
horseshoe	horse shoe
hotdog	hot dog
hotwire	hot wire
hotbed	hot bed
hotcake	hot cake
hothead	hot head
hotheaded	hot headed
hothouse	hot house
hotline	hot line
hotrod	hot rod
hotshot	hot shot
hourglass	hour glass
houseboat	house boat
housebreaking	house breaking
housecoat	house coat
housefly	house fly
household	house hold
housekeeper	house keeper
housekeeping	house keeping
housewarming	house warming
housewife	house wife
housework	house work
hovercraft	hover craft
however	how ever
huckleberry	huckle berry
humankind	human kind
humbug	hum bug
humdrum	hum drum
hummingbird	humming bird
humpback	hump back
hunchback	hunch back
icecream	ice cream
icecube	ice cube
iceberg	ice berg
icefish	ice fish
indepth	in depth
inchworm	inch worm
income	in come
indoor	in door
indoors	in doors
inkblot	ink blot
inland	in land
inlet	in let
inmate	in mate
inside	in side
instep	in step
into	in to
inward	in ward
itself	it self
jackfruit	jack fruit
jackknife	jack knife
jackpot	jack pot
jawbone	jaw bone
jawbreaker	jaw breaker
jaybird	jay bird
jaywalker	jay walker
jellybean	jelly bean
jellyfish	jelly fish
jigsaw	jig saw
jitterbug	jitter bug
joystick	joy stick
jumpingjack	jumping jack
jumpsuit	jump suit
keepup	keep up
keepsake	keep sake
keepout	keep out
kettledrum	kettle drum
keyboard	key board
keyhole	key hole
keystone	key stone
keyword	key word
kickoff	kick off
killjoy	kill joy
kindhearted	kind hearted
kingsize	king size
knapsack	knap sack
kneecap	knee cap
knighthood	knight hood
knockout	knock out
ladybird	lady bird
ladybug	lady bug
lakebed	lake bed
lakeside	lake side
landfall	land fall
landform	land form
landlord	land lord
landmark	land mark
landowner	land owner
landslide	land slide
larkspur	lark spur
laughingstock	laughing stock
lawnmower	lawn mower
lawsuit	law suit
layover	lay over
leapfrog	leap frog
leftover	left over
letdown	let down
levelheaded	level headed
lifesize	life size
lifeboat	life boat
lifeguard	life guard
lifelong	life long
lifespan	life span
lifestyle	life style
lifetime	life time
liftoff	lift off
lightheaded	light headed
lighthearted	light hearted
lighthouse	light house
lightweight	light weight
limelight	lime light
limestone	lime stone
linedancing	line dancing
linebacker	line backer
lineman	line man
lineup	line up
lionheart	lion heart
lipstick	lip stick
litterbug	litter bug
livestock	live stock
livingroom	living room
locksmith	lock smith
login	log in
logoff	log off
logon	log on
logout	log out
loggerhead	logger head
logjam	log jam
longlasting	long lasting
longhair	long hair
longhand	long hand
longshoreman	long shoreman
lookout	look out
loophole	loop hole
lopsided	lop sided
loudmouth	loud mouth
lovesick	love sick
lowbrow	low brow
lowland	low land
lowlife	low life
lukewarm	luke warm
lumberjack	lumber jack
lunchroom	lunch room
lungfish	lung fish
mailbox	mail box
mailman	mail man
mainframe	main frame
mainland	main land
mainstream	main stream
makeover	make over
makeshift	make shift
makeup	make up
manhole	man hole
manhunt	man hunt
mankind	man kind
manpower	man power
marketplace	market place
marksman	marks man
mastermind	master mind
masterpiece	master piece
matchbook	match book
matchmaker	match maker
matchmaking	match making
maybe	may be
mayflower	may flower
mealtime	meal time
meanwhile	mean while
meatball	meat ball
meatloaf	meat loaf
middleschool	middle school
middleaged	middle aged
middleman	middle man
midshipman	mid shipman
milestone	mile stone
milkshake	milk shake
mockingbird	mocking bird
mockup	mock up
moonbeam	moon beam
moonlight	moon light
moonstruck	moon struck
moreover	more over
motorboat	motor boat
motorcycle	motor cycle
mousetrap	mouse trap
mouthpiece	mouth piece
mouthwatering	mouth watering
muskrat	musk rat
myself	my self
namesake	name sake
nearsighted	near sighted
necklace	neck lace
neckline	neck line
necktie	neck tie
needlepoint	needle point
needlework	needle work
network	net work
nevertheless	never theless
newborn	new born
newcomer	new comer
newsletter	news letter
newspaper	news paper
newsstand	news stand
newsworthy	news worthy
nightshift	night shift
nightfall	night fall
nightgown	night gown
nightmare	night mare
nightstand	night stand
nighttime	night time
nitwit	nit wit
nobleman	noble man
nobody	no body
northeast	north east
northwest	north west
nosebleed	nose bleed
nosedive	nose dive
notebook	note book
noteworthy	note worthy
nothing	no thing
nowhere	no where
nutshell	nut shell
oatmeal	oat meal
offsite	off site
offline	off line
offshoot	off shoot
offshore	off shore
offside	off side
offspring	off spring
oilcan	oil can
onsite	on site
oncoming	on coming
onesided	one sided
oneself	one self
ongoing	on going
online	on line
onlooker	on looker
onrush	on rush
onset	on set
onto	on to
onward	on ward
openminded	open minded
openhanded	open handed
otherwise	other wise
ourselves	our selves
outbid	out bid
outbreak	out break
outburst	out burst
outcast	out cast
outcome	out come
outcrop	out crop
outcry	out cry
outdated	out dated
outdo	out do
outdoor	out door
outdoors	out doors
outdoorsman	outdoors man
outfield	out field
outfit	out fit
outflow	out flow
outfox	out fox
outgas	out gas
outgoing	out going
outgrow	out grow
outhouse	out house
outlast	out last
outlaw	out law
outlay	out lay
outlet	out let
outline	out line
outlive	out live
outlook	out look
outlying	out lying
outnumber	out number
outpost	out post
output	out put
outrage	out rage
outrank	out rank
outrun	out run
outshine	out shine
outside	out side
outsider	out sider
outskirt	out skirt
outsmart	out smart
outsource	out source
outspoken	out spoken
outstanding	out standing
outstay	out stay
outstretch	out stretch
outtake	out take
outward	out ward
overabundant	over abundant
overachiever	over achiever
overact	over act
overactive	over active
overage	over age
overall	over all
overalls	over alls
overarching	over arching
overbearing	over bearing
overbite	over bite
overblown	over blown
overboard	over board
overbook	over book
overburden	over burden
overcast	over cast
overcharge	over charge
overcoat	over coat
overcome	over come
overcompensate	over compensate
overcook	over cook
overcrowd	over crowd
overdo	over do
overdose	over dose
overdraft	over draft
overdress	over dress
overdrive	over drive
overdue	over due
overeager	over eager
overeat	over eat
overexpose	over expose
overfill	over fill
overflow	over flow
overfull	over full
overgrown	over grown
overhand	over hand
overhang	over hang
overhaul	over haul
overhead	over head
overhear	over hear
overheat	over heat
overkill	over kill
overland	over land
overlap	over lap
overlay	over lay
overload	over load
overlook	over look
overlord	over lord
overlying	over lying
overnight	over night
overpack	over pack
overpaid	over paid
overpass	over pass
overpay	over pay
overpower	over power
overrate	over rate
overreach	over reach
overreact	over react
override	over ride
overrule	over rule
overrun	over run
overseas	over seas
oversee	over see
overshoe	over shoe
oversight	over sight
oversleep	over sleep
overstate	over state
overstretch	over stretch
overtake	over take
overtax	over tax
overthrow	over throw
overtime	over time
overturn	over turn
overuse	over use
overvalue	over value
overview	over view
overweight	over weight
overwork	over work
oxbow	ox bow
pancake	pan cake
panhandle	pan handle
paperback	paper back
paperweight	paper weight
paperwork	paper work
parkway	park way
parttime	part time
passaway	pass away
passon	pass on
passageway	passage way
passbook	pass book
passerby	passer by
passionflower	passion flower
passionfruit	passion fruit
passkey	pass key
passport	pass port
password	pass word
pastureland	pasture land
patchwork	patch work
pathfinder	path finder
pathway	path way
pawnbroker	pawn broker
payback	pay back
payroll	pay roll
peacekeeper	peace keeper
peacemaker	peace maker
peanut	pea nut
penknife	pen knife
peppercorn	pepper corn
peppermint	pepper mint
pickax	pick ax
pickpocket	pick pocket
piecrust	pie crust
pigeonhole	pigeon hole
piggyback	piggy back
pigpen	pig pen
pigskin	pig skin
pigsty	pig sty
pigtail	pig tail
pillbox	pill box
pillowcase	pillow case
pincushion	pin cushion
pinecone	pine cone
pineapple	pine apple
pinpoint	pin point
pinprick	pin prick
pinup	pin up
pinwheel	pin wheel
pipefish	pipe fish
pipeline	pipe line
pitchfork	pitch fork
plainclothes	plain clothes
playground	play ground
playpen	play pen
plaything	play thing
plywood	ply wood
pocketbook	pocket book
pocketknife	pocket knife
pointout	point out
polecat	pole cat
polestar	pole star
policeman	police man
policewoman	police woman
popcorn	pop corn
popover	pop over
postoffice	post office
postcard	post card
postmark	post mark
postmaster	post master
potholder	pot holder
pothole	pot hole
potluck	pot luck
potpie	pot pie
powerboat	power boat
powerhouse	power house
praiseworthy	praise worthy
primrose	prim rose
printout	print out
proofread	proof read
pullover	pull over
purebred	pure bred
pushcart	push cart
pushover	push over
putaway	put away
putdown	put down
quarterback	quarter back
quartermaster	quarter master
queensize	queen size
quickfire	quick fire
quicksand	quick sand
quicksilver	quick silver
racecar	race car
racecourse	race course
racehorse	race horse
racetrack	race track
raceway	race way
radiowave	radio wave
railroad	rail road
railway	rail way
rainbow	rain bow
raincoat	rain coat
raindrop	rain drop
rainfall	rain fall
rainout	rain out
rainstorm	rain storm
rattlesnake	rattle snake
realestate	real estate
redeye	red eye
redcoat	red coat
redhead	red head
redwood	red wood
reindeer	rein deer
reportcard	report card
ribcage	rib cage
ringleader	ring leader
ringside	ring side
ringworm	ring worm
ripsaw	rip saw
riverbed	river bed
riverside	river side
roadbed	road bed
roadrunner	road runner
roadside	road side
roadway	road way
rockfish	rock fish
rockhound	rock hound
rockslide	rock slide
roommate	room mate
rosebud	rose bud
rosemary	rose mary
roughhouse	rough house
roughneck	rough neck
roundup	round up
rowboat	row boat
runinto	run into
runout	run out
runin	run in
runaway	run away
runnerup	runner up
runoff	run off
runway	run way
safeguard	safe guard
sailboat	sail boat
sailfish	sail fish
salesman	sales man
saleswoman	sales woman
saltshaker	salt shaker
saltwater	salt water
sandbar	sand bar
sandbox	sand box
sandman	sand man
sandpaper	sand paper
sandstorm	sand storm
saucepan	sauce pan
sawdust	saw dust
sawhorse	saw horse
sawmill	saw mill
scarecrow	scare crow
scatterbrain	scatter brain
schoolhouse	school house
schoolroom	school room
schoolteacher	school teacher
scrapbook	scrap book
screwdriver	screw driver
seabed	sea bed
seabird	sea bird
seaboard	sea board
seacoast	sea coast
seafarer	sea farer
seafood	sea food
seagoing	sea going
seagrass	sea grass
seagull	sea gull
seahorse	sea horse
seaplane	sea plane
searchlight	search light
seashell	sea shell
seashore	sea shore
seasick	sea sick
seaside	sea side
seatbelt	seat belt
seawall	sea wall
seaway	sea way
seaweed	sea weed
seaworthy	sea worthy
secondhand	second hand
seedpod	seed pod
selfawareness	self awareness
selfconcept	self concept
selfservice	self service
setback	set back
sheepdog	sheep dog
shellfish	shell fish
shipmate	ship mate
shipshape	ship shape
shipwreck	ship wreck
shipyard	ship yard
shoehorn	shoe horn
shoelace	shoe lace
shopkeeper	shop keeper
shoreline	shore line
shorttempered	short tempered
shortbread	short bread
shortcake	short cake
shorthand	short hand
shortstop	short stop
showman	show man
showmanship	showman ship
showoff	show off
shrinkwrap	shrink wrap
shuffleboard	shuffle board
shutdown	shut down
shuteye	shut eye
sideboard	side board
sidecar	side car
sidekick	side kick
sideline	side line
sidestep	side step
sidestroke	side stroke
sideswipe	side swipe
sidetrack	side track
sidewalk	side walk
sideways	side ways
sightseeing	sight seeing
sightseer	sight seer
signpost	sign post
silkworm	silk worm
silverware	silver ware
singleminded	single minded
singsong	sing song
skateboard	skate board
skylight	sky light
skyline	sky line
skyrocket	sky rocket
skyscraper	sky scraper
skywriting	sky writing
slapstick	slap stick
slaughterhouse	slaughter house
sledgehammer	sledge hammer
sleepin	sleep in
sleepover	sleep over
sleepwalker	sleep walker
sleepyhead	sleepy head
slingshot	sling shot
slipcover	slip cover
slipknot	slip knot
slipshod	slip shod
smalltalk	small talk
smallminded	small minded
smallpox	small pox
smokestack	smoke stack
snapdragon	snap dragon
snapshot	snap shot
snowball	snow ball
snowboard	snow board
snowbound	snow bound
snowdrift	snow drift
snowdrop	snow drop
snowfall	snow fall
snowflake	snow flake
snowman	snow man
snowplow	snow plow
snowshoe	snow shoe
snowstorm	snow storm
soapstone	soap stone
softball	soft ball
software	soft ware
somebody	some body
someday	some day
somehow	some how
someone	some one
someplace	some place
something	some thing
sometime	some time
somewhat	some what
somewhere	some where
songbird	song bird
sortout	sort out
soughtafter	sought after
soundproof	sound proof
soundtrack	sound track
southeast	south east
southwest	south west
soysauce	soy sauce
soybean	soy bean
spacecraft	space craft
spaceship	space ship
spacesuit	space suit
spareribs	spare ribs
speakeasy	speak easy
spellbound	spell bound
spoilsport	spoil sport
sportscast	sports cast
sportscaster	sports caster
sportsman	sports man
sportsmanship	sports manship
sportswoman	sports woman
sportswriter	sports writer
spotlight	spot light
springboard	spring board
springtime	spring time
spyglass	spy glass
stagecoach	stage coach
staircase	stair case
stairway	stair way
standby	stand by
standoff	stand off
standpipe	stand pipe
standstill	stand still
starboard	star board
starfish	star fish
stargazer	star gazer
stargazing	star gazing
starlight	star light
starship	star ship
startup	start up
stateside	state side
statesman	state sman
stateswoman	state swoman
steamboat	steam boat
steamroller	steam roller
steamship	steam ship
steeplechase	steeple chase
stepbrother	step brother
stepchild	step child
stepdaughter	step daughter
stepfather	step father
stepladder	step ladder
stepmother	step mother
stepparent	step parent
steppingstone	stepping stone
stepsister	step sister
stepson	step son
stingray	sting ray
stockbroker	stock broker
stockholder	stock holder
stockpile	stock pile
stomachache	stomach ache
stonewall	stone wall
stoneware	stone ware
stonework	stone work
stopwatch	stop watch
storehouse	store house
storekeeper	store keeper
storyteller	story teller
storytelling	story telling
stowaway	stow away
straightedge	straight edge
straightforward	straight forward
strawberry	straw berry
streamline	stream line
streetcar	street car
strongarm	strong arm
strongbox	strong box
stronghold	strong hold
suitcase	suit case
summertime	summer time
sunbonnet	sun bonnet
sunburn	sun burn
sundial	sun dial
sundown	sun down
sundress	sun dress
sunfish	sun fish
sunflower	sun flower
sunglasses	sun glasses
sunlight	sun light
sunrise	sun rise
sunset	sun set
sunshine	sun shine
sunspot	sun spot
sunstroke	sun stroke
sunup	sun up
supercharge	super charge
supercollider	super collider
supercomputer	super computer
superconductor	super conductor
superfood	super food
supergiant	super giant
superglue	super glue
superheavyweight	super heavyweight
superhero	super hero
superhighway	super highway
superhuman	super human
superimpose	super impose
superman	super man
supermarket	super market
supernatural	super natural
supernova	super nova
supertanker	super tanker
superuser	super user
superwoman	super woman
surfboard	surf board
swallowtail	swallow tail
sweatshirt	sweat shirt
sweetheart	sweet heart
swimsuit	swim suit
switchoff	switch off
switchon	switch on
swordfish	sword fish
tablecloth	table cloth
tableland	table land
tablespoon	table spoon
tabletop	table top
tailback	tail back
tailspin	tail spin
takeback	take back
takeaway	take away
takeoff	take off
takeout	take out
takeover	take over
tapeworm	tape worm
tattletale	tattle tale
taxicab	taxi cab
teacake	tea cake
teacup	tea cup
teammate	team mate
teapot	tea pot
teardrop	tear drop
tearjerker	tear jerker
tearoom	tea room
teashop	tea shop
teaspoon	tea spoon
teatime	tea time
telltale	tell tale
textbook	text book
thanksgiving	thanks giving
themselves	them selves
thighbone	thigh bone
thinkover	think over
thinkup	think up
thoroughbred	thorough bred
thoroughfare	thorough fare
threadbare	thread bare
threedimensional	three dimensional
throughout	through out
thumbnail	thumb nail
thunderbolt	thunder bolt
thunderclap	thunder clap
thundercloud	thunder cloud
thunderstorm	thunder storm
thunderstruck	thunder struck
tideland	tide land
tightrope	tight rope
timesaver	time saver
timesaving	time saving
timecard	time card
timekeeper	time keeper
timeline	time line
timeout	time out
timepiece	time piece
timescale	time scale
timesheet	time sheet
timetable	time table
timeworn	time worn
tipoff	tip off
tiptoe	tip toe
toadstool	toad stool
today	to day
toenail	toe nail
tombstone	tomb stone
tomcat	tom cat
toolbox	tool box
toothbrush	tooth brush
toothpaste	tooth paste
toothpick	tooth pick
topcoat	top coat
topflight	top flight
topknot	top knot
topsail	top sail
topside	top side
topsoil	top soil
topspin	top spin
topstitch	top stitch
tossup	toss up
touchdown	touch down
trademark	trade mark
tradeoff	trade off
tradesman	trade sman
tradeswoman	trade swoman
treadmill	tread mill
treetop	tree top
triggerfish	trigger fish
troublemaker	trouble maker
trustworthy	trust worthy
tryout	try out
tugboat	tug boat
tumbledown	tumble down
tumbleweed	tumble weed
turncoat	turn coat
turnout	turn out
turnover	turn over
turnpike	turn pike
turnstile	turn stile
turtleneck	turtle neck
typeface	type face
typewriter	type writer
underachiever	under achiever
underarm	under arm
underclothing	under clothing
undercook	under cook
undercover	under cover
undercut	under cut
underdog	under dog
underdone	under done
undergo	under go
underground	under ground
undergrowth	under growth
underhand	under hand
undersea	under sea
undershirt	under shirt
understand	under stand
understated	under stated
undertake	under take
undertaker	under taker
undervalue	under value
underwater	under water
underwear	under wear
underweight	under weight
underworld	under world
upbeat	up beat
upbringing	up bringing
upcoming	up coming
update	up date
updraft	up draft
upgrade	up grade
uphill	up hill
uphold	up hold
upkeep	up keep
uplift	up lift
upload	up load
upon	up on
uppermost	upper most
upright	up right
uprising	up rising
uproar	up roar
uproot	up root
upset	up set
upstage	up stage
upstairs	up stairs
upstanding	up standing
upstart	up start
upstate	up state
upstream	up stream
upswing	up swing
uptake	up take
uptown	up town
upturn	up turn
upward	up ward
upwelling	up welling
upwind	up wind
username	user name
viewpoint	view point
vineyard	vine yard
volleyball	volley ball
voltmeter	volt meter
waistcoat	waist coat
waistline	waist line
walkingstick	walking stick
walkout	walk out
walkway	walk way
wallflower	wall flower
wallpaper	wall paper
wardrobe	ward robe
warehouse	ware house
warfare	war fare
warmup	warm up
warpath	war path
warship	war ship
washcloth	wash cloth
washstand	wash stand
wasteland	waste land
watchdog	watch dog
waterbed	water bed
watercolor	water color
watercress	water cress
waterfall	water fall
waterfowl	water fowl
waterfront	water front
watermelon	water melon
waterproof	water proof
watershed	water shed
waterspout	water spout
watertight	water tight
waterway	water way
waterworks	water works
wavelength	wave length
wayside	way side
weathervane	weather vane
weatherman	weather man
weatherproof	weather proof
weatherwoman	weather woman
website	web site
weekday	week day
weekend	week end
weightlifter	weight lifter
weightlifting	weight lifting
wellbehaved	well behaved
wellbeing	well being
welleducated	well educated
wellknown	well known
welltodo	well to do
wetland	wet land
wetsuit	wet suit
whatever	what ever
whatsoever	what soever
wheelbarrow	wheel barrow
wheelchair	wheel chair
whenever	when ever
whereas	where as
whereby	where by
whereupon	where upon
wherewith	where with
wherewithal	where withal
whichever	which ever
whirlpool	whirl pool
whirlwind	whirl wind
whitefish	white fish
whitewall	white wall
whitewash	white wash
whoever	who ever
wholehearted	whole hearted
wholesale	whole sale
whomever	whom ever
widescreen	wide screen
widespread	wide spread
wildcat	wild cat
wildfire	wild fire
wildflower	wild flower
wildlife	wild life
windbreaker	wind breaker
windfall	wind fall
windmill	wind mill
windowpane	window pane
windowsill	window sill
windpipe	wind pipe
windshield	wind shield
windsock	wind sock
windstorm	wind storm
windswept	wind swept
windward	wind ward
wingspan	wing span
wingspread	wing spread
wintertime	winter time
wiretap	wire tap
wisecrack	wise crack
wishbone	wish bone
witchcraft	witch craft
withdraw	with draw
withhold	with hold
within	with in
without	with out
withstand	with stand
wolfhound	wolf hound
wolfsbane	wolfs bane
wonderland	wonder land
woodchuck	wood chuck
woodcutter	wood cutter
woodland	wood land
woodpecker	wood pecker
woodsman	wood sman
woodwork	wood work
wordofmouth	word of mouth
workbench	work bench
workbook	work book
workday	work day
workhorse	work horse
workman	work man
workout	work out
workplace	work place
workroom	work room
workshop	work shop
workstation	work station
worktable	work table
worldfamous	world famous
worldwide	world wide
worthwhile	worth while
wristwatch	wrist watch
wrongdoing	wrong doing
yachtsman	yacht sman
yachtswoman	yacht swoman
yardsale	yard sale
yardarm	yard arm
yardstick	yard stick
yearbook	year book
yellowtail	yellow tail
yourself	your self
zigzag	zig zag
zookeeper	zoo keeper"""

compound_dict = {}
compound_dict = {line.split('\t')[0]: line.split('\t')[1].split(' ')
                 for line in compounds.split("\n")}


def split_compound(compound):
    """Return the root of a plural noun."""
    return compound_dict.get(compound, compound)


if __name__ == "__main__":
    assert split_compound("airplane") == ["air", "plane"]
    assert split_compound("plane") == "plane"
    assert split_compound("zookeeper") == ["zoo", "keeper"]
